Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
dump_config Struct Reference

## Data Fields
VALUE | type
FILE * | stream
VALUE | string
int | roots
const char * | root_category
VALUE | cur_obj
VALUE | cur_obj_klass
size_t | cur_obj_references

## Detailed Description

Definition at line 27 of file objspace_dump.c.

## Field Documentation

VALUE dump_config::cur_obj

Definition at line 33 of file objspace_dump.c.

Referenced by dump_object().

VALUE dump_config::cur_obj_klass

Definition at line 34 of file objspace_dump.c.

Referenced by dump_object(), and reachable_object_i().

size_t dump_config::cur_obj_references

Definition at line 35 of file objspace_dump.c.

Referenced by dump_object(), and reachable_object_i().

const char* dump_config::root_category

Definition at line 32 of file objspace_dump.c.

Referenced by root_obj_i().

int dump_config::roots

Definition at line 31 of file objspace_dump.c.

Referenced by objspace_dump_all(), and root_obj_i().

FILE* dump_config::stream

Definition at line 29 of file objspace_dump.c.

Referenced by dump_append(), and dump_output().

VALUE dump_config::string

Definition at line 30 of file objspace_dump.c.

Referenced by dump_append(), dump_object(), dump_output(), and dump_result().

VALUE dump_config::type

Definition at line 28 of file objspace_dump.c.

The documentation for this struct was generated from the following file:

- ext/objspace/objspace_dump.c